# Interface methods for submodule: MirrorPadImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import PadImageFilterProxy as _PadImageFilterProxy


# Interface methods for class: MirrorPadImageFilter
class MirrorPadImageFilterProxy(_PadImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetDecayBase(self) -> float:
		""""""
		...

	def SetDecayBase(self, _arg: float) -> None:
		""""""
		...

